*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}
html {
    /* strictly to control page redirects using navbar, allows for smooth transitions and padding on top */
    scroll-padding-top: 60px; /* Adjust based on navbar height */
    scroll-behavior: smooth;
}
body{
    /* background: #080808; */
    /* background: #030303; */
    background: #212121;
    color: #fff;
    margin-bottom: 10%;
}
p{
    color: #a1a1a1;
    letter-spacing: 1px;
    font-family: sans-serif;
}

.sub-title{
    font-size: 2.5rem;
}
.container{
    padding: 10px 5%;
}
label.logo{
    color: white;
    /* padding: 10px 5%; */
    font-size: 35px;
    /* line-height: 80px; */
    font-weight: bold;
    /* margin-top: 0; */
}
nav{
    background-color: #080808d0;
    /* background-color: #080808be; */
    /* background-color: #08080882; */
    /* background-color: rgba(8,8,8,0.5); */
    padding: 10px 5%;
    width: 100%;
    margin-left: 0;
    margin-top: 0;
    display: flex;
    position:fixed;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    top: 0;
    z-index: 1000;
}
nav ul li{
    display: inline-block;
    list-style: none;
    margin: 10px 20px;
}
nav ul li a{
    color: #fff;
    text-decoration: none;
    font-size: 18px;
    transition: color 0.5s, text-decoration 0.5s;
}
nav ul li a:hover{
    color: #0b273d;
    text-decoration: underline;
    font-size: 18px;
    cursor: pointer;
    
}
/* -----------header----------- */
.header{
    width: 90%;
    margin: 0 auto;
    height: 900px;
    background-image: url(images/misc/bg1.png);
    background-size: cover;
    background-position: top right;
    border-radius: 10%;
    margin-bottom: 10%; 
    margin-top: 72px;
}
.header-text{
    /* margin-top: 25%; */
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* position: absolute; */
    position: relative;
    width: 100%;
    height: 100%;
    font-size: 30px;
    margin: auto auto;
}
.name{
    /* margin-top: 22%; */
    text-transform: uppercase;
    letter-spacing: 2px;

}
.header-title{
    color: white;
    font-size: 30px;
    margin-top: 40px;
    letter-spacing: 1px;
}
.header-button {
    margin-top: 2%;
    font-size: 1.2rem;
    /* background-color: #0063cd; */
    background-color: #002f62;
    /* background-color: #ff004f; */
    color: #fff; /* Add text color */
    text-align: center;
    text-decoration: none;
    display: flow;
    padding: 20px 70px;
    width: 244px; /* Adjust width to fit content */
    height: 67px;
    border: none; /* Remove border */
    border-radius: 13px;
    cursor: pointer; /* Add pointer cursor */
    box-sizing: border-box;
    transition: background-color 0.5s; /* Add transition effect */
    margin-left: auto;
    margin-right: auto;
}
.header-button:hover{
    background-color: #001e3e;
    /* background-color: #90002e; */

}
.header-buttons{
    margin-top: 4rem;
}
/* ------------about----------- */
/* #about{ */
    /* padding: 80px 10%; */
    /* display: flex; */
/* } */
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{
    /* picture will get 35 percent of width */
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    /* about me column will get 60 percent, thus leaving 5 percent for the
    space in between the two columns */
    flex-basis: 60%;
    border-radius: 15px;
}
.about-title{
    font-size: 60px;
    font-weight: 600;
    color: white;
}
.tab-titles{
    display: flex;
    margin: 20px 0 40px;
}
.tab-links{
    color: rgb(229, 229, 229);
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    /* background: #ff004f; */
    background: #287dda;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after{
    width: 80%;
}
.tab-contents ul li{
    list-style: none;
    margin: 10px 0;
}
.tab-contents ul li span{
    /* color: #b54769; */
    color: #4385cc;
    font-size: 15px;
    font-weight: 600;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}
.about-button {
    margin-top: 2%;
    font-size: 1rem;
    /* background-color: #ff004f; */
    background-color: #002f62;
    color: #fff; /* Add text color */
    text-align: center;
    text-decoration: none;
    display: flow;
    padding: 20px 70px;
    width: 225px; /* Adjust width to fit content */
    border: none; /* Remove border */
    border-radius: 13px;
    cursor: pointer; /* Add pointer cursor */
    box-sizing: border-box;
    transition: background-color 0.5s; /* Add transition effect */
    margin-left: auto;
    margin-right: auto;
}
.about-button:hover{
    /* background-color: #90002e; */
    background-color: #001f41;
}
/* ----------projects---------- */
#projects{
    /* padding: 50px 10%; */
    font-size: 1.5rem;
    /* display: flex; */
}
.see-more-button{
    font-size: 1rem;
    /* background-color: #ff004f; */
    color: #fff;
    text-align: center;
    text-decoration: none;
    padding: 20px 50px;
    width: fit-content;
    height: 60px;
    display: flex;
    border-width: 2px;
    border-style: solid;
    /* border-color: #90002e; */
    /* border-color: #002f62; */
    border-color: #4385cc;
    border-radius: 13px;
    cursor: pointer;
    margin: auto 0;
    margin-left:20px;
    box-sizing: border-box;
    transition: background-color 0.5s;
    align-items: center;
}
.see-more-button:hover{
    /* background-color: #90002e; */
    /* background-color: #002f62; */
    background-color: #4385cc;
}
.see-more-button i{
    margin-left: 5px;
}
.header-link{
    display: flex;
    flex-direction: column;
}
.sub-link {
    display: flex;
    align-items: center;
    /* justify-content: space-between; */
    width: 100%;
    margin-top: 0;
    margin-bottom: 0;
    line-height: normal;
}
.work-list{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
    height: 0;
    padding-bottom: 130%;
}
.work img{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 10px;
    display: block;
    object-fit: cover;
    transition: transform 0.5s ease;
}
.work:hover img {
    transform: scale(1.1);
    cursor: pointer;
}
.work:hover .layer{
    height: 100%;
}
.layer{
    width: 100%;
    height: 0%;
    background: linear-gradient(rgba(0, 0, 0, 0.853), #373737);
    border-radius: 10px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 5px 40px;
    text-align: center;
    transition: height 0.5s ease;
}
.layer h3{
    font-size: 1.6rem;
    font-weight: 500;
    margin-top: 5%;
    margin-bottom: 5%;
}
.layer p{
    /* font-weight:normal; */
    font-size: 1.2rem;
    /* margin-top: 2%; */
    margin-bottom: 5%;
}
.layer a{
    margin-top:20px;
    /* color: #ff004f; */
    color: #002f62;
    text-decoration: none;
    background: white;
    border-radius: 50%;
    font-size: 1.5rem;
    line-height: 60px;
    height: 60px;
    width: 60px;
    text-align: center;
}
.project-btn {
    color: white;

}
.project-btn i{
    margin-top:20px;
    /* color: #ff004f; */
    color: #002f62;
    text-decoration: none;
    background: white;
    border-radius: 50%;
    font-size: 1.5rem;
    line-height: 60px;
    height: 60px;
    width: 60px;
    text-align: center;
}

/* -----------contact--------- */
.contact-left{
    flex-basis: 40%;
}

.contact-left p {
    margin-bottom: 1rem;
}

.contact-right form{
    width: 100%;
}
form input, form textarea{
    width: 100%;
    border: 0;
    border-radius: 7px;;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    resize: none;
    border-style: solid;
    border-width: 2px;
    border-color: #424242;
}
.contact-right{
    flex-basis: 55%;
}
.contact-button {
    margin-top: 2%;
    font-size: 1rem;
    /* background-color: #ff004f; */
    background-color: #002f62;
    color: #fff; /* Add text color */
    text-align: center;
    text-decoration: none;
    display: flow;
    padding: 15px;
    width: 170px; /* Adjust width to fit content */
    border: none; /* Remove border */
    border-radius: 13px;
    cursor: pointer; /* Add pointer cursor */
    box-sizing: border-box;
    transition: background-color 0.5s; /* Add transition effect */
    /* margin-left: auto; */
    margin-right: auto;
}
.contact-button:hover{
    /* background-color: #90002e; */
    background-color: #001e3f;
}
.icon-row {
    margin-top: 15%;
    margin-bottom: 10%;
}
.icon {
    margin-right: 2rem;
    color: #fff;
    width: 3rem;
    height: auto;
}

/* -----------------smaller screens --------------- */
nav .fas{
    display: none;
}
@media only screen and (max-width: 930px){
    .about-col-1{
        /* picture will get 35 percent of width */
        margin: 5px auto;
    }
    .about-col-1 img{
        /* picture will get 35 percent of width */
        display: flex;
        width: 300px;
        margin: 0 auto;
    }
    #about .row{
        display: block;
    }
    #about .about-button{
        margin-top: -3%;
    }
    #contact .about-button{
        margin-bottom: 5%;
    }
    #connect .about-button{
        margin-top: 2%;
    }
}
@media only screen and (max-width: 600px){
    nav .fas{
        display: block;
        font-size: 25px;
    }
    nav ul{
        background: #373737;
        position: fixed;
        top: 0;
        right: -50%;
        width: 50%;
        height: 100%;
        padding-top: 50px;
        transition: .5s ease;
        /* display: none; */
    }
    nav ul li{
        display: block;
        margin: 13%;
        /* font-size: 35px; */
    }
    nav ul .fas{
        position: absolute;
        top: 25px;
        right: 25px;
        cursor: pointer;
    }
    nav ul .fas:checked{
        right: 0;
    }
    .header {
        width: 100%;
        border-radius: 0;
    }
    .name{
        font-size: 3rem;
    }
    .container {
        width: 100%;
        margin-top: 2%;
    }
    body{
        width: fit-content;
    }
    #about .about-button{
        margin-top: -3%;
    }
    .about-col-1{
        /* picture will get 35 percent of width */
        flex-basis:40%;
        margin: 5px auto;
    }
    .about-col-1 img{
        /* picture will get 35 percent of width */
        display: flex;
        width: 300px;
        margin: 0 auto;
    }
    .row{
        display: block;
    }

    /* .work-list{
        display: block;
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
        grid-gap: 40px;
        margin-top: 50px;
    } */
    .work img{
        width: 100%;
        margin: 0px auto;
    }
    .icon-row{
        margin-bottom: -17%;
    }
    #contact .about-button{
        margin-bottom: 5%;
    }
    #connect .about-button{
        margin-top: 3%;
    }

}

.main-content-wrapper{
    max-width: 1200px;

    margin: 0 auto;
    /* padding: 0 20px; */
    box-sizing: border-box;
}